#ifndef ALGORITHM_HPP
#define ALGORITHM_HPP

#include <string>
#include <vector>

struct Node {
    int destination;
    int weight;
    Node(int destination, int weight);
};

struct Graph {
    int nodeCount;
    std::vector<std::vector<Node>> nodes;
    Graph(void);
    void AddChild(int source, int destination, int weight);
    void PrintGraph(void);
};

Graph ReadInGraph(std::string fileLocation);

#endif 
